API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

Patch webspace

PATCH/v1/webspaces/{id}

JSON Merge Patch update.

Datenmodell

Diese Operation arbeitet auf der Entität webspace (webspace). Alle 32 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

  • Pflichtfelder: domainName, dnsMode
  • Server-verwaltet: _id, schema, schemaVersion, tenantId, version, createdAt, updatedAt, createdBy, updatedBy, deletedAt, deletedBy, webspaceNumber, pleskDomainId, pleskClientLogin, pleskServerId, dnsMode, status — diese Felder vergibt die Plattform; im Request werden sie verworfen.

Request Body

NameTypBeschreibung
phpVersionstring
phpModestring
httpsRedirectboolean
hstsboolean
hstsMaxAgeinteger
diskQuotaGbinteger
bandwidthQuotaGbMonthinteger
maxEmailAccountsinteger
maxDatabasesinteger
maxFtpUsersinteger
maxSubdomainsinteger
sslModestring
modSecurityEnabledboolean
nginxCacheEnabledboolean
uptimeCheckEnabledboolean
uptimeCheckUrlstring
billingEnabledboolean
billingPriceCentsinteger
partyIdstring
assignedToIdstring
planstring
tagsstring[]

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/webspaces/{id} \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "phpVersion": "string",
  "phpMode": "string",
  "httpsRedirect": false,
  "hsts": false,
  "hstsMaxAge": 0,
  "diskQuotaGb": 0,
  "bandwidthQuotaGbMonth": 0,
  "maxEmailAccounts": 0,
  "maxDatabases": 0,
  "maxFtpUsers": 0,
  "maxSubdomains": 0,
  "sslMode": "string",
  "modSecurityEnabled": false,
  "nginxCacheEnabled": false,
  "uptimeCheckEnabled": false,
  "uptimeCheckUrl": "string",
  "billingEnabled": false,
  "billingPriceCents": 0,
  "partyId": "string",
  "assignedToId": "string",
  "plan": "string",
  "tags": []
}'
const result = await cm.webspaces.patch({
  "phpVersion": "string",
  "phpMode": "string",
  "httpsRedirect": false,
  "hsts": false,
  "hstsMaxAge": 0,
  "diskQuotaGb": 0,
  "bandwidthQuotaGbMonth": 0,
  "maxEmailAccounts": 0,
  "maxDatabases": 0,
  "maxFtpUsers": 0,
  "maxSubdomains": 0,
  "sslMode": "string",
  "modSecurityEnabled": false,
  "nginxCacheEnabled": false,
  "uptimeCheckEnabled": false,
  "uptimeCheckUrl": "string",
  "billingEnabled": false,
  "billingPriceCents": 0,
  "partyId": "string",
  "assignedToId": "string",
  "plan": "string",
  "tags": []
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche